%global source_date_epoch_from_changelog nil
%global srcname havsfunc
%global commitid e8600ea
%global fullcommitid e8600ea3133abf6d1a8a815f6a5246b17a695de5

Name:           python-vapoursynth-%{srcname}
Version:        33.r.%{commitid}
Release:        1%{?dist}
Summary:        Plugin for Vapoursynth: %{srcname}

License:        BSD
URL:            https://github.com/HomeOfVapourSynthEvolution/havsfunc
Source:         %{url}/archive/%{commitid}.zip

Patch: 0001-havsfunc-add-tox-config.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  git-core

Requires: vapoursynth
Requires: python3-vapoursynth-adjust
Requires: python3-vapoursynth-mvsfunc
Requires: python3-vapoursynth-nnedi3_resample
Requires: python3-vapoursynth-vsjetpack
Requires: Vapoursynth-plugin-miscfilters-obsolete

%global _description %{expand:
A Vapoursynth plugin: %{srcname}.}

%description %_description

%package -n python3-vapoursynth-%{srcname}
Summary: %{summary}
%description -n python3-vapoursynth-%{srcname} %{_description}


%prep
%autosetup -S git -n %{srcname}-%{fullcommitid}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files -l %{srcname}

%files -n python3-vapoursynth-%{srcname} -f %{pyproject_files}
